## plasma-discover 5.8.5

=== CMakeLists.txt ===
project(discover)
set(PROJECT_VERSION "5.8.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 5.2.0 REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)

find_package(KF5 5.24 REQUIRED CoreAddons Config Crash DBusAddons I18n Archive Declarative XmlGui)
find_package(KF5Kirigami 1.1)

find_package(packagekitqt5)
if (NOT packagekitqt5_FOUND)
    find_package(QApt 3.0.0)
    if(QApt_FOUND)
        find_package(DebconfKDE 1.0.0 REQUIRED)
        find_package(KF5 REQUIRED IconThemes Notifications KIO)
    endif()
endif()
find_package(AppStreamQt 0.10)
if (NOT AppstreamQt_FOUND)
    find_package(AppstreamQt 0.10 QUIET)
endif()
find_package(KF5Attica 5.23)
find_package(KF5NewStuff 5.23)

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    find_package(KF5 REQUIRED Notifications KIO)
    add_subdirectory(notifier)
endif()

set_package_properties(QApt PROPERTIES
    DESCRIPTION "Qt wrapper around the libapt-pkg library"
    PURPOSE "Used to support apt-based distribution systems"
    TYPE OPTIONAL)

set_package_properties(KF5Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF5Kirigami PROPERTIES
    DESCRIPTION "KDE’s lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF5NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(Bodega PROPERTIES
    DESCRIPTION "Library that exposes Bodega resources"
    PURPOSE "Required to build the Bodega backend"
    TYPE OPTIONAL)
set_package_properties(packagekitqt5 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "http://www.packagekit.org"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppstreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "http://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== libdiscover/backends/KNSBackend/CMakeLists.txt ===
add_subdirectory(knsintegrate)
add_subdirectory(tests)

function(makekns knsfile iconName category)
    get_filename_component(RESOURCE_NAME "${knsfile}" NAME_WE)
    set(backend "kns${RESOURCE_NAME}-backend")

    if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${knsfile}")
        install(FILES ${knsfile} DESTINATION ${KDE_INSTALL_CONFDIR})
        get_filename_component(knsfile "${knsfile}" NAME)
    endif()

    add_custom_target(${knsfile} ALL
        COMMAND knsintegrate ${knsfile} ${iconName} ${category}
        COMMAND cmake -E copy ${CMAKE_CURRENT_BINARY_DIR}/${backend}-categories.xml ${CMAKE_CURRENT_SOURCE_DIR}/${backend}-categories.xml
        DEPENDS knsintegrate
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    )

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${backend}.desktop DESTINATION ${DATA_INSTALL_DIR}/libdiscover/backends)
    install(FILES ${backend}-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)
endfunction()

add_library(kns-backend MODULE KNSBackend.cpp
    KNSResource.cpp
    KNSReviews.cpp)

target_link_libraries(kns-backend Discover::Common KF5::ConfigCore KF5::Attica KF5::NewStuff)

install(TARGETS kns-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)

makekns(comic.knsrc face-smile-big "Plasma Addons/Comics")
makekns(plasmoids.knsrc plasma "Plasma Addons/Plasma Desktop Widgets")
makekns(custom/discover_ktexteditor_codesnippets_core.knsrc kate "Application Addons/Kate Snippets")

=== debian/changelog ===
plasma-discover (5.8.5-3) unstable; urgency=medium

  * Make APT download high-res application icons by default
    - This will make Discover look like upstream intends it to
      look like, at the cost of higher download sizes.
    - The download can be disabled by overriding the respective
      APT setting.
  * fix-desktop-run.patch: Fix arguments when running .desktop
    files with runservice

 -- Matthias Klumpp <mak@debian.org>  Fri, 20 Jan 2017 21:04:20 +0100

plasma-discover (5.8.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 08 Jan 2017 22:16:14 +0100

plasma-discover (5.8.5-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.5).
  * Drop upstream patch: 01_new-appstreamqt.patch
  * Update install file

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:21 +0100

plasma-discover (5.8.3-1) unstable; urgency=medium

  * New upstream release: 5.8.3
    - Closes: #838734
  * Depend on Kirigami
  * new-appstreamqt.patch: Compile with recent AppStreamQt
  * Update .install files
  * Build-depend on libkf5plasma-dev (Closes: #843228)

 -- Matthias Klumpp <mak@debian.org>  Sat, 05 Nov 2016 14:54:52 +0100

plasma-discover (5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 15:05:20 +0200

plasma-discover (5.7.3-1) unstable; urgency=medium

  * New upstream bugfix release: 5.7.3
  * Drop muon transitional packages: They are obsolete and have
    never been in a release (Closes: #832181)

 -- Matthias Klumpp <mak@debian.org>  Thu, 11 Aug 2016 18:44:30 +0200

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5archive-dev (>= 5.24~),
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.24~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.24~),
               libkf5crash-dev (>= 5.24~),
               libkf5dbusaddons-dev (>= 5.24~),
               libkf5declarative-dev (>= 5.24~),
               libkf5i18n-dev (>= 5.24~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.16.0~),
               libkf5kio-dev (>= 5.16.0~),
               libkf5newstuff-dev (>= 5.23~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5plasma-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5textwidgets-dev,
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.24~),
               libpackagekitqt5-dev (>= 0.9.5),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qml-module-org-kde-kirigami,
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kirigami,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0)
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0)
Recommends: software-properties-kde
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0)
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

# Do not pull plugins into the shlibs file, it makes lintian angry.
# This happens because dh_makeshlibs will look for sonames matching
# (.*)-(.*)\.so where it assumes \1 is the library name and \2 is the version.
# This will then assume that libfoo-backend.so has name 'libfoo' and version
# 'backend' which makes for bogus, pointless, silly shlibs entries.
# Couldn't be bothered to report this - sitter, 2015
override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/discover* -V

# FIXME: tests are broken at time
override_dh_auto_test:
	:

## plasma-discover 5.9.4

=== debian/changelog ===
plasma-discover (5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:58:00 +0000

plasma-discover (5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:56 +0000

plasma-discover (5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:05:05 +0000

plasma-discover (5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:20:02 +0000

plasma-discover (5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)
  * kirigami v2 is now required - depend on this at both build
    and runtime.
  * Update qml module dependencies.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 17:56:56 +0000

plasma-discover (5.8.5-3ubuntu1) zesty; urgency=medium

  * Merge from debian. Remaining changes:
    + Transitional packages for muon-discover, muon-updater &
      muon-notifier.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 23 Jan 2017 15:27:07 +0000

plasma-discover (5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)
  * Install new runservice file

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:45:08 +0000

plasma-discover (5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  * Add build dep on git

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 12 Dec 2016 20:20:42 +0000

plasma-discover (5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, keep some dummy packages to make the upgrades from xenial
    easier

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)
  * Remove 01_new-appstreamqt.patch. Applied upstream
  * Replace build deps kio-dev & plasma-framework-dev with new libkf5kio-dev
    and libkf5plasma-dev
  
  [ Clive Johnston ]
  * Install new file

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:33 +0000

plasma-discover (5.7.5-0ubuntu4) zesty; urgency=medium

  * debian/patches/port-to-appstreamqt-0.10: Cherry-pick from upstream to port
    to ASQt 0.10.
  * debian/control: Bump accordingly

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 18 Nov 2016 16:50:04 +0000

plasma-discover (5.7.5-0ubuntu3) zesty; urgency=medium

  * Adding a depends on ubuntu-release-upgrader-qt
    Closes (LP: #1633692)  

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 18 Oct 2016 23:04:53 +0100

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               git,
               kirigami2-dev,
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libkf5archive-dev (>= 5.31.0~),
               libkf5attica-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5plasma-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libpackagekitqt5-dev (>= 0.9.5),
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         ubuntu-release-upgrader-qt,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: software-properties-kde
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0)
Conflicts: plasma-discover-private,
           plasma-discover-updater,
           python3-aptdaemon.pkcompat
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private,
          plasma-discover-updater
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a), plasma-discover (<< 5.7.0-2)
Conflicts: plasma-discover-private, plasma-discover-updater
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private,
          plasma-discover-updater
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: muon-discover
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-discover -> plasma-discover)
 This is a transitional package for plasma-discover and can safely be
 removed.

Package: muon-updater
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-updater -> plasma-discover)
 This is a transitional package updating muon-updater to plasma-discover
 and can safely be removed.

Package: muon-notifier
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-discover, ${misc:Depends}
Description: Transitional package (muon-notifier -> plasma-discover)
 This is a transitional package updating muon-notifier to
 plasma-discover and can safely be removed.

## plasma-discover 5.9.5

=== debian/changelog ===
plasma-discover (5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:16 +0100

## plasma-discover 5.10.5

=== debian/changelog ===
plasma-discover (5.10.5-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Install urlhandler desktop file

  [ Simon Quigley ]
  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:52 +0100

plasma-discover (5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:49 +0100

plasma-discover (5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:23 +0100

plasma-discover (5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:40 +0100

plasma-discover (5.10.1-0ubuntu1) artful; urgency=medium

  * For now do not build the snap integration backend. Not ready yet
    according to upstream.
  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:27 +0100

plasma-discover (5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * Add build depend on libflatpak-dev
  * Build and install snap and flatpak backends, and add optional
    packages.
  * debian/patches: upstream_fix_build.patch; can be dropped in plasma
    5.10 final release
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:42 +0100

plasma-discover (5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,36 +6,41 @@
            Matthias Klumpp <mak@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                git,
                kirigami2-dev,
+               libappstream-dev,
                libappstreamqt-dev (>= 0.10.3),
                libdebconf-kde-dev (>= 1.0.0),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5attica-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5declarative-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5solid-dev (>= 5.31.0~),
-               libkf5textwidgets-dev (>= 5.31.0~),
-               libkf5wallet-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               libflatpak-dev,
+               libkf5archive-dev (>= 5.36.0~),
+               libkf5attica-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5crash-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5declarative-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5itemviews-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5notifications-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5solid-dev (>= 5.36.0~),
+               libkf5textwidgets-dev (>= 5.36.0~),
+               libkf5wallet-dev (>= 5.36.0~),
+               libkf5widgetsaddons-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                libpackagekitqt5-dev (>= 0.9.5),
                libqapt-dev (>= 3.0.0),
                libqca-qt5-2-dev,
                libqt5svg5-dev (>= 5.6.1~),
+               libstemmer-dev,
+               libxml2-dev,
+               libyaml-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.6.1~),
@@ -53,11 +58,11 @@
          qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
-         ubuntu-release-upgrader-qt,
          qml-module-qtquick-controls2,
          qml-module-qtquick-layouts,
          qml-module-qtquick-templates2,
          qml-module-qtquick2,
+         ubuntu-release-upgrader-qt,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: software-properties-kde
@@ -103,6 +108,14 @@
  This package contains data files shared by various parts of the
  Discover suite.
 
+Package: plasma-discover-flatpak-backend
+Architecture: any
+Depends: flatpak, plasma-discover, ${misc:Depends}, ${shlibs:Depends}
+Description: Discover software manager suite - Flatpak support
+ Discover is a graphical software manager for the Plasma workspace.
+ .
+ This package contains support for Flatpak package format.
+
 Package: muon-discover
 Architecture: all
 Section: oldlibs

## plasma-discover 5.12.3

=== debian/changelog ===
plasma-discover (5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:10 +0100

plasma-discover (5.12.2-2~) sid; urgency=medium

  [ Matthias Klumpp ]
  * Ensure large - not HiDPI - AppStream icons are downloaded by default

 -- Matthias Klumpp <mak@debian.org>  Sat, 24 Feb 2018 08:05:44 +0100

plasma-discover (5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:55 +0100

plasma-discover (5.12.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Use the salsa canonical urls

  [ Matthias Klumpp ]
  * New upstream bugfix release: 5.12.1
  * snap: Only recommend snapd

 -- Matthias Klumpp <mak@debian.org>  Sun, 18 Feb 2018 19:26:08 +0100

plasma-discover (5.12.0-4) unstable; urgency=medium

  * Update d/copyright (Closes: #889808)

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 Feb 2018 14:45:24 +0100

plasma-discover (5.12.0-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 Feb 2018 14:16:38 +0100

plasma-discover (5.12.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 Feb 2018 12:58:56 +0100

plasma-discover (5.12.0-1) experimental; urgency=medium

  * New upstream release: 5.12.0
    - Fixes FTBFS with recent PackageKit-Qt (Closes: #889131)
    - Displays changelogs (Closes: #810588)
    - Features KDE applications (Closes: #851617)
  * d/watch: Use secure URL

 -- Matthias Klumpp <mak@debian.org>  Wed, 07 Feb 2018 14:45:22 +0100

plasma-discover (5.11.5-1) experimental; urgency=medium

  * New upstream release: 5.11.5
  * Add Flatpak and Snap backends

 -- Matthias Klumpp <mak@debian.org>  Sun, 14 Jan 2018 22:21:01 +0100

plasma-discover (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update install files
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:11 -0300

plasma-discover (5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:39 +0200

plasma-discover (5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Drop upstream patches
  * Update upstream metadata
  * Update install files
  * Replace kirigami with kirigami2
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:43 +0200

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.16.0~),
               kirigami2-dev (>= 5.42),
               libappstreamqt-dev (>= 0.10.3),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libkf5archive-dev (>= 5.34~),
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.34~),
               libkf5configwidgets-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.34~),
               libkf5crash-dev (>= 5.34~),
               libkf5dbusaddons-dev (>= 5.34~),
               libkf5declarative-dev (>= 5.34~),
               libkf5i18n-dev (>= 5.34~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemmodels-dev (>= 5.34~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.34.0~),
               libkf5kio-dev (>= 5.34~),
               libkf5newstuff-dev (>= 5.23~),
               libkf5notifications-dev (>= 5.16.0~),
               libkf5plasma-dev (>= 5.16.0~),
               libkf5solid-dev (>= 5.16.0~),
               libkf5textwidgets-dev,
               libkf5wallet-dev (>= 5.16.0~),
               libkf5widgetsaddons-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.34~),
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~)
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kirigami2 (>= 5.42),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmuon (<< 4:5.6),
        muon-discover (<< 4:5.5.3a),
        muon-notifier (<< 4:5.5.3a),
        muon-updater (<< 4:5.5.3a),
        plasma-discover-common (<< 5.7.0),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: libmuon (<< 4:5.6),
          muon-discover (<< 4:5.5.3a),
          muon-notifier (<< 4:5.5.3a),
          muon-updater (<< 4:5.5.3a),
          plasma-discover-common (<< 5.7.0),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0)
Recommends: software-properties-kde
Suggests: plasma-discover-backend-flatpak
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: muon-common (<< 4:5.5.3a),
        plasma-discover (<< 5.7.0-2),
        plasma-discover-private (<< 5.7.0),
        plasma-discover-updater (<< 5.7.0),
Replaces: muon-common (<< 4:5.5.3a),
          plasma-discover (<< 5.7.0-2),
          plasma-discover-private (<< 5.7.0),
          plasma-discover-updater (<< 5.7.0)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-backend-flatpak
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-snap
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.
